All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::CvMatToOpInput Class Reference

`#include <cvMatToOpInput.hpp>`

## Public Member Functions

| CvMatToOpInput (const PoseModel poseModel=PoseModel::BODY_25)
virtual | ~CvMatToOpInput ()
std::vector< Array< float > > | createArray (const cv::Mat &cvInputData, const std::vector< double > &scaleInputToNetInputs, const std::vector< Point< int >> &netInputSizes) const

## Constructor & Destructor Documentation

op::CvMatToOpInput::CvMatToOpInput | ( | const PoseModel | poseModel = `PoseModel::BODY_25` | ) |

virtual op::CvMatToOpInput::~CvMatToOpInput | ( |  | ) |

virtual

## Member Function Documentation

std::vector<Array<float> > op::CvMatToOpInput::createArray | ( | const cv::Mat & | cvInputData,
|  | const std::vector< double > & | scaleInputToNetInputs,
|  | const std::vector< Point< int >> & | netInputSizes
| ) |  | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/core/cvMatToOpInput.hpp